Bug 248373 - X server stuck in SIGALRM loop
X server stuck in SIGALRM loop
Status: CLOSED DUPLICATE of bug 219377
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xorg-x11-drv-nv (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
Depends On: 210584
  Show dependency treegraph
Reported: 2007-07-16 10:59 EDT by Nate Straz
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-07-25 12:03:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
/var/log/Xorg.0.log.old from affected host. (51.26 KB, text/plain)
2007-07-16 14:14 EDT, Nate Straz
no flags Details

  None (edit)
Description Nate Straz 2007-07-16 10:59:26 EDT
I'm cloning off my incident since it's on a different RHEL release.

+++ This bug was initially created as a clone of Bug #210584 +++

Description of problem:

I've hit the same symptoms several times.  Another co-worker has hit the same
problem and I was able to grab the following data from his workstation.

strace output:

--- SIGALRM (Alarm clock) @ 0 (0) ---
rt_sigreturn(0xe)                       = 28144
--- SIGALRM (Alarm clock) @ 0 (0) ---
rt_sigreturn(0xe)                       = 28144
--- SIGALRM (Alarm clock) @ 0 (0) ---

gdb backtrace:
(gdb) bt
#0  0x00002aaaac047c49 in NVSync ()
   from /usr/lib64/xorg/modules/drivers/nv_drv.so
#1  0x00002aaaae140bb6 in XAAGetFallbackOps ()
   from /usr/lib64/xorg/modules/libxaa.so
#2  0x0000000000512b04 in miInitializeCompositeWrapper ()
#3  0x000000000050e683 in DamageDamageRegion ()
#4  0x00000000004480ae in ProcCopyArea ()
#5  0x0000000000449c9a in Dispatch ()
#6  0x00000000004325d5 in main ()


# Xorg configuration created by system-config-display

Section "ServerLayout"
        Identifier     "single head configuration"
        Screen      0  "Screen0" 0 0
        InputDevice    "Keyboard0" "CoreKeyboard"

Section "InputDevice"
        Identifier  "Keyboard0"
        Driver      "kbd"
        Option      "XkbModel" "pc105"
        Option      "XkbLayout" "us"

Section "Device"
        Identifier  "Videocard0"
        Driver      "nv"

Section "Screen"
        Identifier "Screen0"
        Device     "Videocard0"
        DefaultDepth     24
        SubSection "Display"
                Viewport   0 0
                Depth     24

-- Additional comment from nstraz@redhat.com on 2007-07-10 16:47 EST --
I should also add that we've hit this running on RHEL 5.0.

Comment 1 Matěj Cepl 2007-07-16 12:52:18 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach all X server log files (/var/log/Xorg.*.log) to the bug report as
individual uncompressed file attachments using the bugzilla file attachment link

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Nate Straz 2007-07-16 14:14:55 EDT
Created attachment 159350 [details]
/var/log/Xorg.0.log.old from affected host.

Here is the log from the X server which I had to kill off this morning.
Comment 3 Matěj Cepl 2007-07-17 07:56:54 EDT
Did you try to run the server without any configuration log? Could you send us
log files when it crashes?
Comment 4 Nate Straz 2007-07-17 10:53:26 EDT
No, I haven't had a chance to do that yet.  We haven't found a reliable trigger
for the bug and this is affecting our primary workstations.
Comment 5 Matěj Cepl 2007-07-18 13:16:05 EDT
Oh well. Please, try to reproduce and send us the required information. Unless
you will provide this information in a month, I will close it as hard to
reproduce and INSUFFICIENT_DATA or something.
Comment 6 Nate Straz 2007-07-18 14:19:12 EDT
What information are you looking for?  I attached the logs from an incident of
this bug.  The logs don't provide anything useful.  I included strace output and
a stack trace from gdb.

Is there a debugging option I can turn on so the Xorg logs are more useful?
Should I run strace or ltrace on the X server until the bug is triggered?

I don't see how running X w/o a config file and supplying the logs which don't
report anything is more useful information.
Comment 7 Nate Straz 2007-07-18 14:21:35 EDT
(In reply to comment #3)
> Did you try to run the server without any configuration log? Could you send us
> log files when it crashes?

The server does not crash.  It gets stuck in a SIGALRM loop and I have to ssh
into the box and kill it.
Comment 8 Nate Straz 2007-07-19 15:24:14 EDT
Here is another backtrace from a system stuck in the SIGALRM loop.

#0  0x00002aaaac0474fc in NVDmaWait ()
   from /usr/lib64/xorg/modules/drivers/nv_drv.so
#1  0x00002aaaac04856a in NVSync ()
   from /usr/lib64/xorg/modules/drivers/nv_drv.so
#2  0x00002aaaae167275 in XAAWriteBitmapScanlineColorExpandLSBFirst ()
   from /usr/lib64/xorg/modules/libxaa.so
#3  0x00002aaaae146987 in XAANonTEGlyphRenderer ()
   from /usr/lib64/xorg/modules/libxaa.so
#4  0x00002aaaae147692 in XAAImageText8NonTEColorExpansion ()
   from /usr/lib64/xorg/modules/libxaa.so
#5  0x000000000051194b in miInitializeCompositeWrapper ()
#6  0x000000000050f9a2 in DamageDamageRegion ()
#7  0x000000000044d5d3 in doImageText ()
#8  0x000000000044d76b in ImageText ()
#9  0x00000000004471f7 in ProcImageText8 ()
#10 0x0000000000449c9a in Dispatch ()
#11 0x00000000004325d5 in main ()
Comment 9 Matěj Cepl 2007-07-20 05:47:52 EDT
Yes, sure, I understand that the server didn't crash, but still the log file
could contain a wealth of information which could be helpful for us to resolve
this problem (like for example exact details of your configuration), so if you
could please send us the /var/log/Xorg.*.log files attached to this bug as
separated uncompressed attachments, it would be very helpful, regardless of how
Xorg was quited/killed/whatever.
Comment 10 Nate Straz 2007-07-20 08:55:13 EDT
Please see the original comment and the already attached log file.
Comment 11 Matěj Cepl 2007-07-21 07:39:43 EDT
Sorry, silly me -- yes, sure, this is correct.
Comment 12 Nate Straz 2007-07-25 12:03:51 EDT

*** This bug has been marked as a duplicate of 219377 ***

Note You need to log in before you can comment on or make changes to this bug.